AWC 500 PCM5.2 software bundle (CODESYS SP15 Patch 20)

You’re about to download AWC 500 PCM5.2 software bundle (CODESYS SP15 Patch 20)

You have chosen to download our software.

Within a few seconds, you will receive an email containing a download link.

Having trouble using the software? Please contact support@deif.com. 

Best regards, 

DEIF A/S

The software is subject to copyright DEIF A/S
By following the above mentioned link and downloading the file you automatically accept DEIF A/S copyright and license agreement (EULA). The license agreement can be found on www.deif.com/software

You’re about to download 3.0.6.0

The main changes implemented since the last version are as follows:

Fixed:

- https supports more secure methods with openssl 1.1.1k.
- Web interface: CODESYS webvisu detection failed after change to https.
- Memory free information in web interface and REST API now includes buffers and cached memory.
- Updated ethercatio to v1.1.4.1.
- Fixed mutex handling when using UART with IFM5.1 and IFM6.1.
- OE-Lite updated to continue to build as github no longer accepts http. This also causes changes to some of the package versions.

Added:

- Added gdb to the controller.
- Added backup/restore feature to web interface.
- nginx currently not configured and not started by default. Beware that applications may leave persistent config in /app/nginx.
- Added HID and HIDRAW configuration to the kernel, which are need for CODESYS Key (USB dongle).
- Added dedicated worker thread to solve low latency.
- Added `appmode` support to get the current status.

Changed:

- Openssl updated to version 1.1.1k.
- Added Windows SDK again since it contains tools for bootstrapping use in production.
- An empty /data/sysconf/ethercat file can be used to prevent EtherCAT master operation.
- SCP protocol support in OpenSSH removed. Users will have to use SFTP protocol instead.
- The vsftpd server will only be started automatically if configured with custom /data/sysconf/vsftpd.conf file.

Security:

- Updated Vue.js and jQuery components to fix various security issues.
- Updated OpenSSH to fix various security issues, including CVE-2020-14145.
- Updated OpenSSL to fix various security issues, including CVE-2022-0778.
- Updated lighttpd to fix various security issues, including CVE-2008-0983, CVE-2018-19052 and CVE-2019-11072.
- Updated busybox to fix various security issues.
- Lighttpd configuration changed to set X-Frame-Options HTTP header to protect against "clickjacking" attacks.
- Lighttpd configuration changed to set X-Content-Type-Options HTTP header to protect against MIME-sniffing on the response body.

 

Ver. Date Description

3.0.6.0

27-01-2023

Fixed:

- https supports more secure methods with openssl 1.1.1k.
- Web interface: CODESYS webvisu detection failed after change to https.
- Memory free information in web interface and REST API now includes buffers and cached memory.
- Updated ethercatio to v1.1.4.1.
- Fixed mutex handling when using UART with IFM5.1 and IFM6.1.
- OE-Lite updated to continue to build as github no longer accepts http. This also causes changes to some of the package versions.

Added:

- Added gdb to the controller.
- Added backup/restore feature to web interface.
- nginx currently not configured and not started by default. Beware that applications may leave persistent config in /app/nginx.
- Added HID and HIDRAW configuration to the kernel, which are need for CODESYS Key (USB dongle).
- Added dedicated worker thread to solve low latency.
- Added `appmode` support to get the current status.

Changed:

- Openssl updated to version 1.1.1k.
- Added Windows SDK again since it contains tools for bootstrapping use in production.
- An empty /data/sysconf/ethercat file can be used to prevent EtherCAT master operation.
- SCP protocol support in OpenSSH removed. Users will have to use SFTP protocol instead.
- The vsftpd server will only be started automatically if configured with custom /data/sysconf/vsftpd.conf file.

Security:

- Updated Vue.js and jQuery components to fix various security issues.
- Updated OpenSSH to fix various security issues, including CVE-2020-14145.
- Updated OpenSSL to fix various security issues, including CVE-2022-0778.
- Updated lighttpd to fix various security issues, including CVE-2008-0983, CVE-2018-19052 and CVE-2019-11072.
- Updated busybox to fix various security issues.
- Lighttpd configuration changed to set X-Frame-Options HTTP header to protect against "clickjacking" attacks.
- Lighttpd configuration changed to set X-Content-Type-Options HTTP header to protect against MIME-sniffing on the response body.

 

DEIF 제품을 완전하게 활용하기 위해서는 DEIF에서 제공하는 업데이트를 설치하도록 항상 권장하고 있습니다.

업데이트된 소프트웨어는 언제나 무료로 www.deif.com의 “소프트웨어”에서 “소프트웨어 내려받기”를 통해 내려받기할 수 있습니다.

질문 또는 제품 관련 소프트웨어에 관한 문의는 DEIF A/S +45 96149614 또는 해당 지역의 DEIF 사무소로 연락해 주시기 바랍니다. 그 외에도, support@deif.com로 이메일을 보내 주시면 언제든지 도와드릴 준비가 되어 있습니다.